onEvent('recipes', event => {
	event.remove({id: 'integrateddynamics:crafting/variable'})
	event.shaped('8x integrateddynamics:variable', [
		'CCC',
		'CPC',
		'CCC'
	  ], {
		C: 'integrateddynamics:crystalized_menril_chunk',
		P: 'minecraft:paper'
	  })
	  
	event.remove({output: 'integrateddynamics:variable_transformer_output'})
	event.shaped('1x integrateddynamics:variable_transformer_output', [
		' V ',
		'CPC',
		' V '
	  ], {
		C: 'integrateddynamics:crystalized_menril_chunk',
		P: 'minecraft:piston',
		V: 'integrateddynamics:variable'
	  })	
	event.remove({output: 'integrateddynamics:variable_transformer_input'})
	event.shaped('1x integrateddynamics:variable_transformer_input', [
		' V ',
		'CPC',
		' V '
	  ], {
		C: 'integrateddynamics:crystalized_menril_chunk',
		P: 'minecraft:sticky_piston',
		V: 'integrateddynamics:variable'
	  })
	  
	event.remove({output: 'integrateddynamics:logic_director'})
	event.shaped('1x integrateddynamics:logic_director', [
		'ZCZ',
		'ZDZ',
		'ZCZ'
	  ], {
		C: 'integrateddynamics:crystalized_menril_chunk',
		Z: 'integrateddynamics:crystalized_chorus_chunk',
		D: 'minecraft:diamond'
	  })
})